#!/bin/sh

# chkconfig: - 80 30
# description: Prosody Jabber server

PROG=/usr/bin/prosody
PIDFILE=/var/run/prosody.pid
RETVAL=0

case "$1" in
    start)
        echo -n "Starting prosody..."
        touch /var/run/prosody.pid
        chown prosody:prosody /var/run/prosody.pid
        su prosody -s /bin/sh -c $PROG
        RETVAL=$?
        if [ $RETVAL -eq 0 ]; then
            echo "ok"
        else
            echo "failed"
        fi
        ;;
    stop)
        echo -n "Stopping prosody..."
        [ -e $PIDFILE ] && kill `cat $PIDFILE`
        RETVAL=$?
        if [ $RETVAL -eq 0 ]; then
            echo "ok"
        else
            echo "failed"
        fi
        ;;
    status)
        [ -e $PIDFILE ] && ps h -o pid -p `cat $PIDFILE`
        RETVAL=$?
        ;;
    reload)
        [ -e $PIDFILE ] && kill -HUP `cat $PIDFILE`
        RETVAL=$?
        ;;
    restart)
        $0 stop
        sleep 3
        $0 start
        RETVAL=$?
        ;;
    *) 
        echo "Usage: supybot {start|stop|status|restart}"
        exit 1
esac

exit $RETVAL
